Bug 965974 - Software selection can't be exited in text mode
Summary: Software selection can't be exited in text mode
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Samantha N. Bueno
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:f2c7ae1b44b4250aad882ee6a73...
Depends On:
Blocks: F19Beta-accepted, F19BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2013-05-22 08:20 UTC by Vojtěch Boček
Modified: 2013-05-24 20:18 UTC (History)
11 users (show)

Fixed In Version: anaconda-19.30-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-24 20:18:00 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda.log (4.58 KB, text/plain)
2013-05-22 08:20 UTC, Vojtěch Boček
no flags Details
File: backtrace (675 bytes, text/plain)
2013-05-22 08:20 UTC, Vojtěch Boček
no flags Details
File: environ (749 bytes, text/plain)
2013-05-22 08:20 UTC, Vojtěch Boček
no flags Details
File: ifcfg.log (486 bytes, text/plain)
2013-05-22 08:20 UTC, Vojtěch Boček
no flags Details
File: lsblk_output (1.98 KB, text/plain)
2013-05-22 08:20 UTC, Vojtěch Boček
no flags Details
File: nmcli_dev_list (3.38 KB, text/plain)
2013-05-22 08:20 UTC, Vojtěch Boček
no flags Details
File: packaging.log (84.68 KB, text/plain)
2013-05-22 08:20 UTC, Vojtěch Boček
no flags Details
File: program.log (31.10 KB, text/plain)
2013-05-22 08:20 UTC, Vojtěch Boček
no flags Details
File: storage.log (91.04 KB, text/plain)
2013-05-22 08:20 UTC, Vojtěch Boček
no flags Details
File: syslog (68.54 KB, text/plain)
2013-05-22 08:20 UTC, Vojtěch Boček
no flags Details
File: anaconda-tb (10.54 MB, application/octet-stream)
2013-05-22 08:21 UTC, Vojtěch Boček
no flags Details

Description Vojtěch Boček 2013-05-22 08:20:01 UTC
Description of problem:
Anaconda in Fedora beta RC3 netinst.iso and DVD.iso in text mode refuses to leave "software selection" screen by pressing 'c' key and after multiple presses of 'c' key throws this exception.
The following was filed automatically by anaconda:
anaconda 19.29-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 52, in add
    raise KeyError
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/tui/spokes/software.py", line 173, in _apply
    target=self.checkSoftwareSelection))
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/tui/spokes/software.py", line 159, in apply
    self._apply()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/tui/spokes/software.py", line 138, in input
    self.apply()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/tui/simpleline/base.py", line 441, in input
    key = self._screens[-1][0].input(args, key)
KeyError

Version-Release number of selected component:
anaconda-19.29-1

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019-Beta\x20x86_64 quiet text BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.2-301.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-Beta

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/tui/simpleline/base.py", line 441, in input
    key = self._screens[-1][0].input(args, key)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/tui/spokes/software.py", line 138, in input
    self.apply()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/tui/spokes/software.py", line 159, in apply
    self._apply()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/tui/spokes/software.py", line 173, in _apply
    target=self.checkSoftwareSelection))
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 52, in add
    raise KeyError
KeyError

Comment 1 Vojtěch Boček 2013-05-22 08:20:07 UTC
Created attachment 751561 [details]
File: anaconda.log

Comment 2 Vojtěch Boček 2013-05-22 08:20:11 UTC
Created attachment 751562 [details]
File: backtrace

Comment 3 Vojtěch Boček 2013-05-22 08:20:16 UTC
Created attachment 751563 [details]
File: environ

Comment 4 Vojtěch Boček 2013-05-22 08:20:19 UTC
Created attachment 751564 [details]
File: ifcfg.log

Comment 5 Vojtěch Boček 2013-05-22 08:20:24 UTC
Created attachment 751565 [details]
File: lsblk_output

Comment 6 Vojtěch Boček 2013-05-22 08:20:28 UTC
Created attachment 751566 [details]
File: nmcli_dev_list

Comment 7 Vojtěch Boček 2013-05-22 08:20:33 UTC
Created attachment 751567 [details]
File: packaging.log

Comment 8 Vojtěch Boček 2013-05-22 08:20:38 UTC
Created attachment 751568 [details]
File: program.log

Comment 9 Vojtěch Boček 2013-05-22 08:20:42 UTC
Created attachment 751569 [details]
File: storage.log

Comment 10 Vojtěch Boček 2013-05-22 08:20:47 UTC
Created attachment 751570 [details]
File: syslog

Comment 11 Vojtěch Boček 2013-05-22 08:21:42 UTC
Created attachment 751571 [details]
File: anaconda-tb

Comment 12 Kamil Páral 2013-05-22 08:24:22 UTC
Proposing as a Beta blocker:
"When using the dedicated installer images, the installer must be able to complete an installation using the text, graphical and VNC installation interfaces. "
http://fedoraproject.org/wiki/Fedora_19_Alpha_Release_Criteria

Comment 13 Vojtěch Boček 2013-05-22 08:29:54 UTC
Additional info: when I leave software selection as is by default in text mode in netinst.iso ("Gnome desktop"), it installs minimal configuration instead.

Comment 14 Jaroslav Reznik 2013-05-22 10:50:55 UTC
(In reply to Vojtěch Boček from comment #13)
> Additional info: when I leave software selection as is by default in text
> mode in netinst.iso ("Gnome desktop"), it installs minimal configuration
> instead.

I'd say at least this one is related to https://bugzilla.redhat.com/show_bug.cgi?id=965940 and maybe this bug too - could you retest with previous RC?

Comment 15 Kamil Páral 2013-05-22 11:55:03 UTC
This is not related to 965940. Software selection in text mode was not present in Beta RC2. This is a new feature added in RC3 (/me throws glum looks).

Comment 16 Samantha N. Bueno 2013-05-22 13:46:51 UTC
Sorry for adding it late, but as much new text UI stuff as possible really needs to go into F19. I've already posted a patch to anaconda-patches for review on this issue.

Comment 17 Samantha N. Bueno 2013-05-22 14:04:33 UTC
(In reply to Vojtěch Boček from comment #13)
> Additional info: when I leave software selection as is by default in text
> mode in netinst.iso ("Gnome desktop"), it installs minimal configuration
> instead.

This issue is also fixed in the patch I posted.

Comment 18 Samantha N. Bueno 2013-05-22 14:48:24 UTC
Patch pushed, commit 33db7ad5a7c86d743fe4893a46ac5d91ce83cae5

Comment 19 Adam Williamson 2013-05-22 17:43:48 UTC
Discussed at 2013-05-22 blocker review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-05-22/f19beta-blocker-review-8.2013-05-22-16.07.html . This was narrowly rejected as a blocker on the basis it still works at least as well as it did in f18 final and f19 alpha (where software selection wasn't possible at all) and there are still the 'workarounds' of graphical and VNC. But it's accepted as an FE issue and we would like to get it fixed.

Comment 20 Fedora Update System 2013-05-22 18:29:09 UTC
anaconda-19.30-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/anaconda-19.30-1.fc19

Comment 21 Fedora Update System 2013-05-22 22:39:03 UTC
Package anaconda-19.30-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-19.30-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8871/anaconda-19.30-1.fc19
then log in and leave karma (feedback).

Comment 22 Adam Williamson 2013-05-23 18:28:49 UTC
Confirmed fixed in Beta RC4, you can escape the spoke.

Comment 23 Fedora Update System 2013-05-24 20:18:00 UTC
anaconda-19.30-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.